%define name beep-media-player-musepack
%define oname bmp-musepack
%define version 1.2
%define filename %oname-%version
%define rel 1
%define release %mkrel %rel

#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary: Musepack input plugin for Beep Media Player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://musepack.origean.net/files/linux/plugins/%{filename}.tar.bz2
License: BSD
Group: Sound
Url: http://www.musepack.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libbeep-media-player-devel
BuildRequires: taglib-devel
BuildRequires: libmpcdec-devel
Requires: beep-media-player

%description
This is a Musepack input plugin for Beep Media Player based on libmpcdec.
%prep
%setup -q -n %filename

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fv %buildroot%_libdir/bmp/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_libdir/bmp/Input/libmpc.so

%changelog
* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2-1mdk
- new version

* Fri Sep  2 2005 Gtz Waschk <waschk@mandriva.org> 1.2-0.RC1.2mdk
- move to Mandriva

* Thu May 26 2005 Gtz Waschk <goetz@zarb.org> 1.2-0.RC1.1plf
- switch to new new bmp plugin

* Sat Mar 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- remove scrobbler plugin

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- initial package
